SpecificationSubModel (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.spec
Class SpecificationSubModel

    java.lang.Object
      org.maltparser.core.feature.spec.SpecificationSubModel

All Implemented Interfaces:
  Iterable<String>

    public class SpecificationSubModel

extends Object
implements Iterable<String>

Author:
  Johan Hall

Constructor Summary
`SpecificationSubModel()`
`SpecificationSubModel(String name)`

Method Summary
`void` | `add(String featureSpec)`
`boolean` | `equals(Object obj)`
`int` | `getFeatureIndex(String featureSpec)`
`String` | `getFeatureSpec(int featureId)`
`String` | `getSubModelName()`
`Iterator<String>` | `iterator()`
`void` | `setSubModelName(String name)`
`int` | `size()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpecificationSubModel

    public SpecificationSubModel()

### SpecificationSubModel

    public SpecificationSubModel(String name)

Method Detail

### add

    public void add(String featureSpec)

### getFeatureIndex

    public int getFeatureIndex(String featureSpec)

### getFeatureSpec

    public String getFeatureSpec(int featureId)

### getSubModelName

    public String getSubModelName()

### setSubModelName

    public void setSubModelName(String name)

### size

    public int size()

### iterator

    public Iterator<String> iterator()

  Specified by:
    `iterator` in interface `Iterable<String>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.